PIX Infraction Report
Infraction Report Object Definition
Request Body
{
"infraction_report_type": "compliance",
"infraction_report_details": "Cliente realizou várias compras de valor alto em estabelecimentos comerciais cuja atividade econômica é de alto risco de lavagem de dinheiro. Após uma investigação minuciosa, decidiu-se realizar o report ao COAF e bloquear o saldo em conta até que a origem do dinheiro seja esclarecida. ",
"infraction_report_creator": "external",
"infraction_report_date": "2020-10-14T00:25:42-03:00",
"infraction_report_status": "received",
"infraction_report_events": [
{
"new_status": "received",
"event_date": "2020-10-14T00:25:42-03:00"
}
]
}
If suspicious behavior is detected by either party in a transaction, an Infraction Report can be created to report the suspicion. This report is then analyzed by the counterparty and may be confirmed or rejected. Following the standard established by the BCB, an Infraction Report must contain the following fields:
| name | type | description |
|---|---|---|
| infraction_report_type | enumerator | Enumerator defining the type of suspicious activity present in the transaction. |
| infraction_report_details | string | Details regarding the circumstances that led the creator of the Infraction Report to believe there might be an infraction associated with the transaction. |
| infraction_report_creator | enumerator | Enumerator defining who created the Infraction Report. |
| infraction_report_date | datetime | Date of the incident. |
The infraction_report_type field may contain the enumerators: fraud and compliance.
The infraction_report_creator field may contain the enumerators: client and external.
Send an Infraction Report
Request Body
{
"infraction_report_type": "compliance",
"infraction_report_details": "Cliente realizou várias compras de valor alto em estabelecimentos comerciais cuja atividade econômica é de alto risco de lavagem de dinheiro. Após uma investigação minuciosa, decidiu-se realizar o report ao COAF e bloquear o saldo em conta até que a origem do dinheiro seja esclarecida. ",
"infraction_report_creator": "external",
"infraction_report_date": "2020-10-14T00:25:42-03:00"
}
Response Body
{
"infraction_report_key": "7f85e162-5a7d-41fa-a578-69df6f3df958",
"infraction_report_status": "received"
}
To send an Infraction Report, simply send a request to the endpoint:
POST https://api.caas.qitech.app/pix/transaction/{transaction_id}/infraction_report
Where transaction_id is the transaction identifier sent to us at the time of its registration, in the "id" field.
Retrieve an Infraction Report
Response Body
{
"infraction_report_type": "compliance",
"infraction_report_details": "Cliente realizou várias compras de valor alto em estabelecimentos comerciais cuja atividade econômica é de alto risco de lavagem de dinheiro. Após uma investigação minuciosa, decidiu-se realizar o report ao COAF e bloquear o saldo em conta até que a origem do dinheiro seja esclarecida. ",
"infraction_report_creator": "external",
"infraction_report_date": "2020-10-14T00:25:42-03:00",
"infraction_report_status": "received",
"infraction_report_events": [
{
"new_status": "received",
"event_date": "2020-10-14T00:25:42-03:00"
}
],
"transaction_data": {
"transaction_direction": "received",
"id": "082373263",
...
}
}
To retrieve an Infraction Report, simply send a request to the following endpoint:
GET https://api.caas.qitech.app/pix/transaction/{transaction_id}/infraction_report/{infraction_report_key}
The Infraction Report object associated with the provided transaction_id and matching the infraction_report_key will then be returned.
Update an Infraction Report
Request Body
{
"infraction_report_status": "acknowledged",
"event_date": "2020-10-07T15:06:25-03:00"
}
An Infraction Report goes through several phases with the BCB before completion. Therefore, all Infraction Report status updates must be reported via the endpoint:
PUT https://api.caas.qitech.app/pix/transaction/{transaction_id}/infraction_report/{infraction_report_key}